var num = 0;
 
self.onconnect = function (e) {
 var port = e.ports[0];
 port.postMessage("Connecté #" + num);
 num++;
 
 port.onmessage = function (e) {
	// réponse ...
	port.postMessage("Réponse : " + e.data);
 };
 
 port.start();
};
